Subject: Re: [syzbot] possible deadlock in perf_event_ctx_lock_nested (2)

From: syzbot <[email-masked]>
Date: Tue, 19 Oct 2021 10:09:13 -0700

syzbot has bisected this issue to:

commit 8850cb663b5cda04d33f9cfbc38889d73d3c8e24
Author: Peter Zijlstra <[email-masked]>
Date:   Tue Sep 21 20:16:02 2021 +0000

    sched: Simplify wake_up_*idle*()

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=166a8c90b00000
start commit:   60e8840126bd Add linux-next specific files for 20211018
git tree:       linux-next
final oops:     https://syzkaller.appspot.com/x/report.txt?x=156a8c90b00000
console output: https://syzkaller.appspot.com/x/log.txt?x=116a8c90b00000
kernel config:  https://syzkaller.appspot.com/x/.config?x=4bd44cafcda7632e
dashboard link: https://syzkaller.appspot.com/bug?extid=4b71bb3365e7d5228913
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=11eccf58b00000

Reported-by: [email-masked]
Fixes: 8850cb663b5c ("sched: Simplify wake_up_*idle*()")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection